Subject: Re: bug#47300: delete-window to select window with same position

From: Juri Linkov <[email-masked]>
Date: Tue, 18 May 2021 23:17:37 +0300

> By design it's the most recently used window (`get-mru-window') on the
> same frame after the deleted window has been removed from its window
> tree.

I can't find where `get-mru-window' is called during window deletion.

> Personally I don't care but people used to the current behavior might
> get confused.  So an option should be the provided and could be "ON" by
> default.

Maybe a new option e.g. `delete-window-select' with type not boolean,
but a predicate with the default value `get-mru-window', and another
choice `delete-window-select-underlying' to select the "merged" window.